#
# spec file for package gnome-klotski
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gnome-klotski
Version:        3.22.3
Release:        lp150.1.2
Summary:        Klotski Game for GNOME
License:        GPL-3.0-or-later
Group:          Amusements/Games/Board/Puzzle
URL:            https://live.gnome.org/Klotski
Source:         http://download.gnome.org/sources/gnome-klotski/3.22/%{name}-%{version}.tar.xz
BuildRequires:  hicolor-icon-theme
BuildRequires:  intltool >= 0.50
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(glib-2.0) >= 2.40.0
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.19.0
BuildRequires:  pkgconfig(libgnome-games-support-1)
BuildRequires:  pkgconfig(librsvg-2.0) >= 2.32.0
Recommends:     %{name}-lang
# gnome-klotski used to be called 'gnotski' and was part of gnome-games until 3.7.x
Obsoletes:      gnotski < %{version}
Obsoletes:      gnotski-lang < %{version}
%glib2_gsettings_schema_requires

%description
Klotski is a puzzle game of which the objective is to get the
patterned block to the marker, which is done by moving the blocks in
its way.

%lang_package

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install
%find_lang %{name} %{?no_lang_C}
%suse_update_desktop_file gnome-klotski

%post
%glib2_gsettings_schema_post
%desktop_database_post
%icon_theme_cache_post

%postun
%glib2_gsettings_schema_postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%license COPYING
%doc NEWS
%doc %{_datadir}/help/C/%{name}/
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/gnome-klotski.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.klotski.gschema.xml
%{_datadir}/icons/hicolor/*/apps/%{name}*.*
%{_datadir}/metainfo/gnome-klotski.appdata.xml
%{_mandir}/man6/%{name}.6%{?ext_man}

%files lang -f %{name}.lang

%changelog
* Sun Mar 11 2018 dimstar@opensuse.org
- Update to version 3.22.3:
  + Updated translations.
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Sat Sep  9 2017 dimstar@opensuse.org
- Update to version 3.22.2:
  + Updated translations.
* Fri Nov 11 2016 dimstar@opensuse.org
- Update to version 3.22.1:
  + Updated translations.
* Mon Sep 19 2016 zaitor@opensuse.org
- Update to version 3.22.0:
  + Updated translations.
* Mon Aug 29 2016 dimstar@opensuse.org
- Update to version 3.21.91:
  + Build with even newer libgnome-games-support.
  + Updated translations.
- Replace pkgconfig(libgnome-games-support-1.0) with
  pkgconfig(libgnome-games-support-1), following upstream changes.
* Tue Aug 16 2016 dimstar@opensuse.org
- Update to version 3.21.90:
  + Build with new libgnome-games-support.
  + Updated translations.
- Replace pkgconfig(libgames-support-1.0) BuildRequires with
  pkgconfig(libgnome-games-support-1.0), following upstreams port.
* Sat May  7 2016 zaitor@opensuse.org
- Update to version 3.20.2:
  + Updated translations.
* Fri Apr  8 2016 zaitor@opensuse.org
- Update to version 3.20.1:
  + Updated translations.
* Mon Mar 21 2016 dimstar@opensuse.org
- Update to version 3.20.0:
  + Updated translations.
* Mon Mar 14 2016 zaitor@opensuse.org
- Update to version 3.19.92:
  + Fixes for the treeview.
  + Updated translations.
* Tue Feb 16 2016 dimstar@opensuse.org
- Update to version 3.19.90:
  + License change: now licensed as GPLv3+.
  + New dependency: libgames-support.
  + New scores dialog via libgames-support.
  + Fixes for compatibility with GTK+ 3.20.
  + Updated translations.
- Change license tag to GPL-3.0+, following upstreams changes.
- Add pkgconfig(gee-0.8) and pkgconfig(libgames-support-1.0)
  BuildRequires: new dependencies.
* Mon Nov 23 2015 zaitor@opensuse.org
- Update to version 3.19.1:
  + Significant code refactoring.
* Fri Nov  6 2015 zaitor@opensuse.org
- Update to version 3.18.2:
  + Updated translations.
* Thu Oct 15 2015 zaitor@opensuse.org
- Update to version 3.18.1:
  + Print --version to stdout.
  + Updated translations.
* Tue Sep 22 2015 dimstar@opensuse.org
- Update to version 3.18.0:
  + Updated translations.
* Mon Sep 14 2015 dimstar@opensuse.org
- Update to version 3.17.92:
  + Revert to the Docbook help due to a licensing issue.
  + Updated translations.
* Thu Aug 13 2015 zaitor@opensuse.org
- Update to version 3.17.90:
  + Fix typo in user help.
  + Updated translations.
* Wed Apr 15 2015 dimstar@opensuse.org
- Update to version 3.16.1:
  + Provide symbolic app icon.
  + Updated translations.
- Remove HighContrast %%icon_theme_cache_post(un) calls, as Symbolic
  icons have replaced them.
* Mon Mar 23 2015 dimstar@opensuse.org
- Update to version 3.16.0:
  + Updated translations.
* Tue Feb 17 2015 dimstar@opensuse.org
- Update to version 3.15.90:
  + Removed New Game from app menu.
  + Moved Start Over to header bar.
  + Renamed View Puzzles to Change Puzzle and moved it to the
    header bar.
  + Puzzle switching now uses a popover instead of a sidebar.
  + Updated translatons.
* Wed Nov 12 2014 zaitor@opensuse.org
- Update to version 3.14.2:
  + Updated translations.
* Fri Oct 10 2014 dimstar@opensuse.org
- Update to version 3.14.1:
  + Updated translations.
* Mon Sep 22 2014 dimstar@opensuse.org
- Update to version 3.14.0:
  + Updated appdata.
  + Updated translations.
* Tue Aug 19 2014 dimstar@opensuse.org
- Update to version 3.13.90:
  + Add --version command-line option.
  + Shrink the buttons.
  + Link the buttons in the map selector.
  + Updated translations.
* Sat Jul 12 2014 dimstar@opensuse.org
- Update to version 3.13.3:
  + Use a header bar, not a toolbar.
  + Add Start Over and View Puzzle buttons.
  + Remove fullscreen mode.
  + Updated translations.
* Sat May 17 2014 zaitor@opensuse.org
- Update to version 3.12.2:
  + Updated translations.
* Mon Apr 14 2014 zaitor@opensuse.org
- Update to version 3.12.1:
  + Updated translations.
* Mon Mar 24 2014 zaitor@opensuse.org
- Update to version 3.12.0:
  + Updated translations.
* Wed Mar 19 2014 dimstar@opensuse.org
- Update to version 3.11.92:
  + Appdata: update screenshot size.
  + Updated translations.
* Tue Feb 18 2014 zaitor@opensuse.org
- Update to version 3.11.90:
  + Renamed desktop file to gnome-klotski.desktop.
  + Appdata: specify project_group.
  + Updated translations.
* Tue Dec 17 2013 dimstar@opensuse.org
- Update to version 3.11.3:
  + Add click-to-move support.
  + Replace menubar with ToggleButton/TreeView for levels list.
  + Scores dialog: scroll to the new high score.
  + Scores dialog: replace Quit button with Close.
  + Updated translations.
* Wed Oct 30 2013 dimstar@opensuse.org
- Update to version 3.11.1:
  + Require intltool 0.50.
  + Remove BugBuddy support.
  + Update AppData.
  + Updated translations.
* Mon Sep 23 2013 dimstar@opensuse.org
- Update to version 3.10.0:
  + Updated translations.
* Mon Sep 16 2013 dimstar@opensuse.org
- Update to version 3.9.92:
  + Add appdata file.
  + Updated translations.
* Wed Aug 21 2013 dimstar@opensuse.org
- Update to version 3.9.90:
  + Set prgname so WM_CLASS matches the desktop file.
  + Updated translations.
* Mon May 13 2013 dimstar@opensuse.org
- Update to version 3.8.2:
  + Updated translations.
* Mon Apr 15 2013 dimstar@opensuse.org
- Update to version 3.8.1:
  + Updated translations.
* Mon Apr  8 2013 dimstar@opensuse.org
- Also obsolete -lang package.
* Mon Mar 25 2013 dimstar@opensuse.org
- Update to version 3.8.0:
  + Updated translations.
* Tue Mar 19 2013 dimstar@opensuse.org
- Update to version 3.7.92:
  + Do not translate empty string.
  + Rename gnome-klotski.desktop back to gnotski.desktop.
  + Updated translations.
* Tue Mar  5 2013 dimstar@opensuse.org
- Initial package, version 3.7.90: split-off from gnome-games.
